from __future__ import annotations

from nodnod.node import initialize_forward_refs
from nodnod.interface.node_from_function import create_node_from_function


def func(a: A) -> None: ...  # ForwardRef(A)


class A:
    pass



create_node_from_function(func)
